﻿@*@model List<eCommerce.UI.ViewModels.Shop.ProductViewModel>*@
@model eCommerce.UI.ViewModels.Shop.ShopViewModel

<style>
    .outer-xs {
        margin-top: 40px;
        margin-bottom: 40px;
        width:100%;
    }
</style>

<div class="shop-wrapper">

    @*@{ Html.RenderAction("ShopFilter", "Modules", new { Shop = Model }); }*@

    <div class="shop-list js-shop-list shop-list--3">
        @if (Model.productList.Count() > 0)
        {
            <div class="shop-list__products js-products">
                @foreach (var item in Model.productList)
                {
                    Html.RenderAction("ShopItem", "Modules", new { Product = item });
                }
            </div>


            if (Model.LoadMoreProducts)
            {
                <button type="button" class="shop-list__button button button--invert js-load-products"><i class="fa fa-chevron-down" aria-hidden="true"></i> Ver más productos</button>
                <div class="loader hidden"><div></div><div></div><div></div><div></div></div>
            }

        }
        else
        {
            <div class="text-center outer-xs">
                <p><em>No hay productos disponibles.</em></p>
            </div>
        }
    </div>

</div>